Subject: Re: bug#16772: Failure in "make install" on MS-Windows

From: Juanma Barranquero <[email-masked]>
Date: Mon, 17 Feb 2014 13:38:40 +0100

On Mon, Feb 17, 2014 at 12:42 PM, Dani Moncayo <[email-masked]> wrote:

> The problem, I think, is that $(DESTDIR) contains literally the prefix
> I gave ("../myinstalldir"), which is a relative path (to the "current"
> directory - at the moment of the "make install"), but since we are now
> in "nt/Makefile", the current working directory is "<build-dir>/nt",
> and therefore, relative references like this one don't refer to the
> intended location.

Why would then work the other commands in the install target?

        umask 022; ${MKDIR_P} "$(DESTDIR)${bindir}"
        for file in ${INSTALLABLES} ; do \
          $(INSTALL_PROGRAM) $(INSTALL_STRIP) $${file}
"$(DESTDIR)${bindir}"/`echo $${file} | sed -e 's/${EXEEXT}$$//' -e
'$(TRANSFORM)'`${EXEEXT} ; \
        done